KTrackData(3)

NAME
KTrackData - Data structure for tracking events in LIBKYSDK-DIAGNOSETEST

SYNOPSIS

#include <appropriate_header.h>

  Data Fields
char * eventCode
KEventType eventType
KEventSourceType eventSourceType
long timeStamp
char * pageName
char * pageUrl
char * pagePath
int duration
char * appName
char * appVersion
char * searchWord
char * entrancePageFlag
char * exitPageFlag
char * newUserFlag
KCustomProperty * customProperty
KGlobalProperty * globalProperty
int customPropertyLength

DESCRIPTION

The KTrackData structure represents tracking event data in the LIBKYSDK-DIAGNOSETEST library. It contains various fields for event tracking, page information, application details, and custom properties.

FIELD DOCUMENTATION

  char* eventCode

Unique identifier for the tracking event

  KEventType eventType

Type of the tracking event

  KEventSourceType eventSourceType

Source type of the event

  long timeStamp

Timestamp when the event occurred

  char* pageName

Name of the page where the event occurred

  char* pageUrl

URL of the page where the event occurred

  char* pagePath

Path of the page where the event occurred

  int duration

Duration associated with the event

  char* appName

Name of the application

  char* appVersion

Version of the application

  char* searchWord

Search word if applicable

  char* entrancePageFlag

Flag indicating if this is an entrance page

  char* exitPageFlag

Flag indicating if this is an exit page

  char* newUserFlag

Flag indicating if this is a new user

  KCustomProperty* customProperty

Array of custom properties for the event

  KGlobalProperty* globalProperty

Global properties for the event

  int customPropertyLength

Length of the custom properties array

SEE ALSO

KCustomProperty(3), KGlobalProperty(3)

AUTHOR

Generated automatically by Doxygen for LIBKYSDK-DIAGNOSETEST from the source code.